%function taking in results from locked rotor simulations with phase- a b and c currents, and also measurements, such as abc10.m (finished simulation in abc10.mat),
%calculating d and q axix inductances and plotting the results.



teller=0;
turns=174;

frequency=66.66667;


for teller=1:length(abc.omega)
    
Vabc=[abc.V.a(teller,:);abc.V.b(teller,:);abc.V.c(teller,:)]*turns;
Iabc=[abc.I.a(teller,:);abc.I.b(teller,:);abc.I.c(teller,:)]/turns;

el_vinkel=abc.omega(teller)*10;

dq=[ 2/3*cos((el_vinkel)*pi/180)   2/3*cos((el_vinkel-120)*pi/180)   2/3*cos((el_vinkel+120)*pi/180);
    -2/3*sin((el_vinkel)*pi/180)  -2/3*sin((el_vinkel-120)*pi/180)  -2/3*sin((el_vinkel+120)*pi/180);
            1/sqrt(3)                          1/sqrt(3)                          1/sqrt(3)                ];
                
Idq=(dq*Iabc);
Vdq=(dq*Vabc);

dqstruct.vinkel(teller)=abc.omega(teller);
dqstruct.el_vinkel(teller)=el_vinkel;

dqstruct.I.d(teller,:)=Idq(1,:);
dqstruct.I.q(teller,:)=Idq(2,:);
dqstruct.I.zero(teller,:)=Idq(3,:);

dqstruct.V.d(teller,:)=Vdq(1,:);
dqstruct.V.q(teller,:)=Vdq(2,:);
dqstruct.V.zero(teller,:)=Vdq(3,:);
end



for teller=1:length(dqstruct.vinkel)
    Z.d(teller)=(max(dqstruct.V.d(teller,:))-min(dqstruct.V.d(teller,:)))/(max(dqstruct.I.d(teller,:))-min(dqstruct.I.d(teller,:)));
    Z.q(teller)=(max(dqstruct.V.q(teller,:))-min(dqstruct.V.q(teller,:)))/(max(dqstruct.I.q(teller,:))-min(dqstruct.I.q(teller,:)));
end




L.d=Z.d/(frequency*2*pi);
L.q=Z.q/(frequency*2*pi);


plot(abc.omega,L.d,'r')
hold on
plot(abc.omega,L.q)
plot(0);





