%skript running the lumped_parameter funtion and plotting the results



s_teeth=12;             %number of stator poles, numbers must be even
s_scaling=1.0;          %scaling factor of stator teeth vs base tooth width

r_teeth=10;             %number of rotor teeth
r_scaling=1.4;          %scaling factor of rotor teeth vs base tooth width

base=15e-3;             %base tooth with (width of rotor and stator teeth, magnets and winding slots)
m_length=2;             %machine length in #base
airgap=1e-3;            %air gap length
magnet_length=base*3;   %length of magnets radially
Br=1.2;                 %magnent remanance flux



[coil flux]=lumped_parameter(s_teeth,r_teeth,s_scaling,r_scaling,airgap,base,m_length,magnet_length,Br)

flag=2;  %choose what to plot


if flag==1 %plot all coils fluxes up to 12 stator coils, comment out "coils" if there are less than 12, add new if more 
   
    fulldeg=1;
    xakse=0:(fulldeg/length(coil(1,:))):(fulldeg-fulldeg/length(coil(1,:))); %X-axis is set to go from 0 to one
    hold off
    plot(xakse,coil(1,:))%-
    hold on
    plot(xakse,coil(2,:),'red')
    plot(xakse,coil(3,:),'green')%--
    plot(xakse,coil(4,:),'cyan')
    plot(xakse,coil(5,:),'yellow')%---
    plot(xakse,coil(6,:),'magenta')
    plot(xakse,coil(7,:),'--')%-
    plot(xakse,coil(8,:),'--r')
    plot(xakse,coil(9,:),'--g')%--
    plot(xakse,coil(10,:),'--c')
    plot(xakse,coil(11,:),'--y')%---
    plot(xakse,coil(12,:),'--m')

elseif flag==2 %plots combinations of the coil fluxes, here the correct combination is set for the 12 poled stator with 10 of 14 poled rotor
        

    P_A=(coil(1,:)+coil(4,:))*2;

    P_B=(coil(2,:)+coil(5,:))*2;

    P_C=(coil(3,:)+coil(6,:))*2;

    hold off
    plot(P_A,'b')
    hold on
    plot(P_B,'r')
    plot(P_C,'g')
    
elseif flag==3  % puts a sine with maximum eaqual to maximum P_A as seen below
    
    P_A=(coil(1,:)+coil(4,:))*2;
        
    [topp index]=max(P_A);
    A_sine=topp*cos(-index*2*pi/length(P_A):2*pi/length(P_A):2*pi*(1-index/length(P_A)));
    
    hold off
    plot(P_A,'g')
    hold on
    plot(A_sine,'r')
            
elseif flag==4 %plot B (flux density) avg. in a single tooth
    
    hold off
    plot(flux);
end







